
@REM ********* Begin Standard Header - Do not add comments here ***************
@REM 
@REM File:     %W%
@REM Version:  %I%
@REM Modified: %G% %U%
@REM Build:    %R% %L%
@REM 
@REM Licensed Materials - Property of IBM
@REM 
@REM Restricted Materials of IBM
@REM 
@REM 5724-N55
@REM 
@REM (C) COPYRIGHT IBM CORP. 2009.  All Rights Reserved.
@REM 
@REM US Government Users Restricted Rights - Use, duplication or
@REM disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
@REM 
@REM ********************** End Standard Header *******************************

@echo off
setlocal

cd /d %0\..
set CURDIR=%CD%
cd %CURDIR%
set INSTALL_SRC_DIR=%CURDIR%

set HELP_INSTALL=false
set GENERATE_TEMPLATE=false
set TEMPLATE_FILE=


if EXIST %CURDIR%\collation\common.zip goto CHECK_AIX_ZIP
echo.
echo Corrupted install image. File %CURDIR%\collation\common.zip not found.
set rc=1
goto END

:CHECK_AIX_ZIP
if EXIST %CURDIR%\collation\aix.zip goto CHECK_LINUX_ZIP
echo.
echo Corrupted install image. File %CURDIR%\collation\aix.zip not found.
set rc=1
goto END

:CHECK_LINUX_ZIP
if EXIST %CURDIR%\collation\linux.zip goto CHECK_LINUX390_ZIP
echo.
echo Corrupted install image. File %CURDIR%\collation\linux.zip not found.
set rc=1
goto END

:CHECK_LINUX390_ZIP
if EXIST %CURDIR%\collation\linuxS390.zip goto CHECK_SOLARIS_ZIP
echo.
echo Corrupted install image. File %CURDIR%\collation\linuxS390.zip not found.
set rc=1
goto END

:CHECK_SOLARIS_ZIP
if EXIST %CURDIR%\collation\solaris.zip goto CHECK_WINDOWS_ZIP
echo.
echo Corrupted install image. File %CURDIR%\collation\solaris.zip not found.
set rc=1
goto END

:CHECK_WINDOWS_ZIP
if EXIST %CURDIR%\collation\windows.zip goto MAIN
echo.
echo Corrupted install image. File %CURDIR%\collation\windows.zip not found.
set rc=1
goto END

:MAIN
if "%1" == "" goto GUI
if "%1" == "-h" goto HELP
if "%1" == "-help" goto HELP
if "%1" == "--help" goto HELP
if "%1" == "-i" goto CONSOLE_SILENT
if "%1" == "-r" goto RECORD
if "%1" == "-g" goto GENERATE
goto HELP

:GUI
call %CURDIR%\support\install\setupWin32.exe
set rc=%errorlevel%
goto END

:CONSOLE_SILENT
if %2 == silent goto SILENT
if %2 == SILENT goto SILENT
if %2 == console goto CONSOLE
if %2 == CONSOLE goto CONSOLE
goto HELP

:SILENT
if "%3" == "-f" goto SILENT2
goto HELP

:SILENT2
if %4 == "" goto HELP
call %CURDIR%\support\install\setupWin32.exe -i SILENT -f %4
set rc=%errorlevel%
if exist "%TEMP%\taddm\%USERNAME%\taddm_resp_err.txt" type "%TEMP%\taddm\%USERNAME%\taddm_resp_err.txt" && del /f /q "%TEMP%\taddm\%USERNAME%\taddm_resp_err.txt"
goto END

:CONSOLE
if "%3" == "-r" GOTO CONSOLE_RECORD
call %CURDIR%\support\install\setupWin32.exe -i console
set rc=%errorlevel%
goto END

:RECORD
if %2 == "" goto HELP
if /I "%4" EQU "console" GOTO CONSOLE_RECORD
call %CURDIR%\support\install\setupWin32.exe -r %2
set rc=%errorlevel%
goto END

:CONSOLE_RECORD
if "%4" == "" goto HELP 
if "%1" == "-r" call %CURDIR%\support\install\setupWin32.exe -i console -r %2
if "%3" == "-r" call %CURDIR%\support\install\setupWin32.exe -i console -r %4
set rc=%errorlevel%
goto END

:GENERATE
if %2 == "" goto HELP
set GENERATE_TEMPLATE=true
set TEMPLATE_FILE=%2
call %CURDIR%\support\install\setupWin32.exe -i console
rem call %CURDIR%\support\install\setupWin32.exe
set rc=%errorlevel%
goto END

:HELP
rem set HELP_INSTALL=true
rem call %CURDIR%\support\install\setupWin32.exe -i console
rem set rc=%errorlevel%
rem type %TEMP%\taddm\%USERNAME%\help.txt
echo.
echo Usage: %0 ^[-i ^[console ^| CONSOLE^] ^] ^[-i ^[silent ^| SILENT^] -f response_file_path^] ^[-r record_response_file_path^] ^[-g template_response_file_path^]
echo.
echo Example:
echo      %0 -i console
echo      %0 -i CONSOLE
echo      %0 -i silent -f c:\temp\custom_response.txt
echo      %0 -i SILENT -f c:\temp\custom_response.txt
echo      %0 -r c:\temp\record_response.txt
echo      %0 -g c:\temp\generate_template_response.txt
goto END

:END
exit /b %rc%

